Home

# Class goog.testing.fs.Blob

A mock Blob object. The data is stored as a string.

Instance Method Summary
| `setDataInternal(string data)` Sets the internal contents of the blob. This should only be called by other functions inside the {@code goog.testing.fs} namespace.
| `slice(number start, number length, string= opt_contentType) ⇒ !goog.testing.fs.Blob`
| `toArrayBuffer() ⇒ ?ArrayBuffer`
| `toDataUrl() ⇒ string`
| `toString() ⇒ string`